---
title: Mathematical notation
date: 2019-03-08
description: A brief sample of mathematical notation in Blowfish.
tags: ["sample", "katex", "maths", "shortcodes"]
type: 'sample'
---

KaTeX can be used to render mathematical notation within articles.

<!--more-->

{{< katex >}}

Blowfish will only bundle the KaTeX assets into your project if you make use of mathematical notation. In order for this to work, simply include the [`katex` shortcode]({{< ref "docs/shortcodes#katex" >}}) within the article. Example below:

```md
{{</* katex */>}}
```
Any KaTeX syntax on that page will then be automatically rendered. Use the online reference of [supported TeX functions](https://katex.org/docs/supported.html) for the available syntax.

## Inline notation

Inline notation can be generated by wrapping the expression in `\\(` and `\\)` delimiters.

**Example:**

```tex
% KaTeX inline notation
Inline notation: \\(\varphi = \dfrac{1+\sqrt5}{2}= 1.6180339887…\\)
```

Inline notation: \\(\varphi = \dfrac{1+\sqrt5}{2}= 1.6180339887…\\)

## Block notation

Alternatively, block notation can be generated using `$$` delimiters. This will output the expression in its own HTML block.

**Example:**

```tex
% KaTeX block notation
$$
 \varphi = 1+\frac{1} {1+\frac{1} {1+\frac{1} {1+\cdots} } }
$$
```

$$
 \varphi = 1+\frac{1} {1+\frac{1} {1+\frac{1} {1+\cdots} } }
$$
